# CSC 111, Homework 8 helper
# Author: Sara Mathieson, modified from work by Dominique Thiebaut
# A program to draw a map from a list of building coordinates


from graphics import *


def main():
    """Read a text file of coordinates and draw buildings. Each
    line of the text file is a separate building. The (x,y)
    coordinates are read one right after the other, in pairs.
    """

    # set up our graphics window
    width = 760    
    height = 620
    win = GraphWin("Digital Map", width, height)

    # open the file of building coordinates
    file = open("buildings.txt", "r" )

    # read each line of the file (one building)
    for line in file:

        point_lst = []
        tokens = line.strip().split() # split the line

        # read in pairs to get (x,y) coordinates
        for i in range(0,len(tokens),2):
            p = Point(tokens[i], tokens[i+1])
            point_lst.append(p)

        # after building the list of points, create a Polygon
        p = Polygon(point_lst)
        p.setFill("lightgreen")
        p.draw(win)
 
    # close the file
    file.close()


main()
